Get access token
For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get a single access token by ID.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/tokens/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/tokens/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/tokens/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/tokens/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/tokens/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/tokens/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "61095542756dba551110ae21",
"ownerId": "569f514156e003339cfd3917",
"memberId": "569f514183f2164430000002",
"creationDate": "1628001602644",
"lastModified": "1628001602644",
"_links": {
"parent": {
"href": "/api/v2/tokens",
"type": "application/json"
},
"self": {
"href": "/api/v2/tokens/61095542756dba551110ae21",
"type": "application/json"
}
},
"_member": {
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"_id": "569f183514f4432160000007",
"role": "admin",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"name": "Example reader token",
"description": "A reader token used in testing and examples",
"customRoleIds": [],
"inlineRole": [],
"role": "reader",
"token": "1234",
"serviceToken": false,
"defaultApiVersion": 20240415,
"lastUsed": "0"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Authorizations
Path Parameters
The ID of the access token
Response
Access token response
The ID of the access token
"61095542756dba551110ae21"
The ID of the owner of the account for the access token
"569f514156e003339cfd3917"
The ID of the member who created the access token
"569f514183f2164430000002"
Timestamp of when the access token was created
"1628001602644"
Timestamp of the last modification of the access token
"1628001602644"
The location and content type of related resources
Show child attributes
Show child attributes
{
"parent": {
"href": "/api/v2/tokens",
"type": "application/json"
},
"self": {
"href": "/api/v2/tokens/61095542756dba551110ae21",
"type": "application/json"
}
}
Details on the member who created the access token
Show child attributes
Show child attributes
A human-friendly name for the access token
"Example reader token"
A description for the access token
"A reader token used in testing and examples"
A list of custom role IDs to use as access limits for the access token
[]
An array of policy statements, with three attributes: effect, resources, actions. May be used in place of a role.
Show child attributes
Show child attributes
[]
Base role for the token
"reader"
The token value. When creating or resetting, contains the entire token value. Otherwise, contains the last four characters.
"1234"
Whether this is a service token or a personal token
false
The default API version for this token
20240415
Timestamp of when the access token was last used
"0"
curl --request GET \
--url https://app.launchdarkly.com/api/v2/tokens/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/tokens/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/tokens/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/tokens/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/tokens/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/tokens/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/tokens/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "61095542756dba551110ae21",
"ownerId": "569f514156e003339cfd3917",
"memberId": "569f514183f2164430000002",
"creationDate": "1628001602644",
"lastModified": "1628001602644",
"_links": {
"parent": {
"href": "/api/v2/tokens",
"type": "application/json"
},
"self": {
"href": "/api/v2/tokens/61095542756dba551110ae21",
"type": "application/json"
}
},
"_member": {
"_links": {
"self": {
"href": "/api/v2/members/569f183514f4432160000007",
"type": "application/json"
}
},
"_id": "569f183514f4432160000007",
"role": "admin",
"email": "ariel@acme.com",
"firstName": "Ariel",
"lastName": "Flores"
},
"name": "Example reader token",
"description": "A reader token used in testing and examples",
"customRoleIds": [],
"inlineRole": [],
"role": "reader",
"token": "1234",
"serviceToken": false,
"defaultApiVersion": 20240415,
"lastUsed": "0"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}